package com.tistory.pentode.vo;

import java.util.Date;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

public class BoardVO {
	
	private Integer num;        /* 글 번호 */
	
	@Size(min=2, message="{board.name}")
	private String name;        /* 이름 */
	
	@Size(min=8, message="비밀번호는 8자 이상이어야 합니다.")
	private String password;    /* 비밀번호 */
	
	@Size(min=5, message="이메일 형식이 아닙니다.")
	@Email(message="이메일 형식이 아닙니다.")
	private String email;       /* 이메일 */
	
	@Size(min=6, max=20, message="휴대폰 번호 형식이 아닙니다.")
	private String mobile;      /* 휴대전화 번호 */
	
	@NotEmpty
	private String title;       /* 제목 */
	
	@NotEmpty
	private String content;     /* 내용 */
	
	private Integer readCount;  /* 조회수 */
	
	private Date writeDate;     /* 작성일 */

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Integer getReadCount() {
		return readCount;
	}

	public void setReadCount(Integer readCount) {
		this.readCount = readCount;
	}

	public Date getWriteDate() {
		return writeDate;
	}

	public void setWriteDate(Date writeDate) {
		this.writeDate = writeDate;
	}

	@Override
	public String toString() {
		return "BoardVO [num=" + num + ", name=" + name + ", password=" + password + ", email=" + email + ", mobile="
				+ mobile + ", title=" + title + ", content=" + content + ", readCount=" + readCount + ", writeDate="
				+ writeDate + "]";
	}

}
