<%@ page contentType="text/html; charset=utf-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<!DOCTYPE html>
<html lang="ko">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>게시판 글 등록</title>
<style>
.error {
    color: red;
}
</style>
</head>
<body>
<h1>게시판 글 등록</h1>
<c:url var="insertUrl" value="/boardInsert.do" />
<form:form commandName="boardVO" action="${insertUrl}" name="boardVO" method="post">
<form:errors path="*" cssClass="error" />
<table border="1">
<tbody>
	<tr>
	   <th>이름</th>
	   <td>
	       <form:input path="name" id="name" size="20" maxlength="20" />
	       <form:errors path="name" cssClass="error" />
	   </td>
	</tr>
	<tr>
	   <th>비밀번호</th>
	   <td>
	       <form:password path="password" id="password" size="20" maxlength="20" />
	       <form:errors path="password" cssClass="error" />
	   </td>
	</tr>
	<tr>
	   <th>이메일</th>
	   <td>
	       <form:input path="email" id="email" size="20" maxlength="20" />
	       <form:errors path="email" cssClass="error" />
	   </td>
	</tr>
	<tr>
	   <th>휴대폰 번호</th>
	   <td>
	       <form:input path="mobile" id="mobile" size="20" maxlength="20" />
	       <form:errors path="mobile" cssClass="error" />
	   </td>
	</tr>
	<tr>
	   <th>제목</th>
	   <td>
	       <form:input path="title" id="title" size="20" maxlength="20" />
	       <form:errors path="title" cssClass="error" />
	   </td>
	</tr>
	<tr>
	   <th>내용</th>
	   <td>
	       <form:textarea path="content" id="content" />
	       <form:errors path="content" cssClass="error" />
	   </td>
	</tr>
	<tr>
		<td colspan="2"><input type="submit" value="등록" /></td>
	</tr>
</tbody>
</table>
</form:form>
</body>
</html>
